Search Proxy User ACLs
curl --request GET \
--url https://api.byteful.com/1.0/public/user/proxy_user_acl/searchimport requests
url = "https://api.byteful.com/1.0/public/user/proxy_user_acl/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.byteful.com/1.0/public/user/proxy_user_acl/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"proxy_id": "550e8400-e29b-41d4-a716-446655440001",
"proxy_user_acl_creation_datetime": "2023-11-07T05:31:56Z",
"proxy_user_acl_id": "550e8400-e29b-41d4-a716-446655440000",
"proxy_user_id": "stevejobs",
"service_id": "API-1234-5678"
}
],
"item_count": 10,
"message": "Proxy User ACL search successful.",
"page": 1,
"per_page": 10,
"total_count": 25
}Proxy User ACL
Search Proxy User ACLs
Search Proxy User ACL entries on the customer account using various filters. Only returns ACL entries for proxy users that belong to the current customer.
GET
/
public
/
user
/
proxy_user_acl
/
search
Search Proxy User ACLs
Query Parameters
ID of the Proxy User ACL
ID of the Proxy User
ID of the Service
ID of the Proxy
Creation datetime of the Proxy User ACL (supports min_/max_)
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
200 - application/json
Successful Proxy User ACL search
Show child attributes
Show child attributes
Number of items returned in this response
Example:
10
Success message
Example:
"Proxy User ACL search successful."
Current page number
Example:
1
Number of items per page
Example:
10
Total number of items matching the search criteria
Example:
25

